Subject: bug#47067: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Andrea Corallo <[email-masked]>
Date: Sun, 21 Mar 2021 15:41:48 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 21 Mar 2021 14:37:45 +0000
>> 
>> > So maybe we should separate the preloaded *.eln files from the rest of
>> > them.  Say, put the *.eln files for the preloaded Lisp files into a
>> > special subdirectory of native-lisp/XX.YY.ZZ-xxxxxx/, let's call it
>> > "preloaded".  Then in that subdirectory we never remove stale *.eln
>> > files, because there might be a .pdmp file that references them.  The
>> > *.eln files in other places can be cleaned up when they become stale.
>> >
>> > WDYT?
>> 
>> What should be choose as XX.YY.ZZ-xxxxxx ?
>
> That's the usual VERSION+ABI-HASH way you generate that subdirectory
> today, I don't propose any change in that part.  Just have a
> subdirectory _under_ that, called "preloaded", where you put all the
> preloaded *.eln files, and put all the other *.eln files generated
> during the build as you do today.
>
> Did I explain myself?

Yep sorry, it's clear now.

I was thinking, the only downside I see of this solution is that while
we can tweak the build system to signal to Emacs that a certain file
being compiled will be used for dump, this will indeed not be possible
for subsequent dumps.  Not sure if this is a real issue or not.

  Andrea